Help NETWORK SETTINGS Use SonicIP® If set to "yes", the device will announce its IP address over the audio output. Default: "yes" IP Address Enter the 4 values of the desired device IP address e.g.: "0.0.0.0" for automatic discovery (DHCP/Bootp, IPzator, AutoIP) "192.168.0.12" for an internal LAN Default: "0.0.0.0" Netmask Enter the 4 values of the desired Static IP e.g.: "0.0.0.0" for a default Netmask depending on the used IP Address. "255.255.255.0" for a C class network Default: "255.255.255.0" Gateway IP Address Enter the 4 values of the desired Gateway IP address e.g.: "0.0.0.0" for no Gateway "192.168.0.1" for a Gateway in a LAN Note: The Gateway has to be set only when connecting to other devices over the WAN (through a router). Default: "0.0.0.0" Primary DNS In this field you can give the Exstreamer the desired primary and alternative DNS IP address to be able to connect to URLs (e.g. www.radio.com). Example: "195.186.1.111" Default: "0.0.0.0" Alternative DNS In this field you can give the Exstreamer the desired alternative DNS IP address in case the primary DNS is not reachable. Example: "195.186.4.111" Default: "0.0.0.0" DHCP Host Name Name of the device sent in DHCP request. If left empty, a name based on the device's MAC address is generated automatically. Enter up to 15 Characters. Web server port Defines the port where the webserver of the Barix Exstreamer can be reached. If set to "0" the default HTTP port (80) is used. Default: "0" Type of Service/DSCP ToS value used for RTP and UDP streaming. DSCP(Differentiated Service Code Point) supersedes IP4 ToS value and uses same byte. check for DSCP services available in your network to set this value. Valid values are 0-63. Default value is 0.
Help AUDIO SETTINGS These settings define the audio parameters. Input source Choose the desired input source. Line mono (uses left channel only) and MIC input are mono, the other settings are stereo. The available options depend on the HW according to the table below. The Exstreamer 500 Rev1 and Exstreamer 1000 have external Analogue to Digital circuitry which support a sampling frequency of 32 and 48kHz only. The selection provides a better input signal to noise ratio, however the A/D gain is fixed and cannot be adjusted. Default setting is "Line stereo".
Instreamer | Instreamer 100 | Ex 500 | Ex 1000 | Ann 100/200 | Ann 1000 | Ann 155
Line Mono | Line Mono | Line Mono | Line Mono | Line Mono | Line Mono | -
Line Stereo | Line Stereo | Line Stereo | Line Stereo | - | Line Stereo | -
- | - | - | - | MIC | MIC | MIC
- | SPDIF optical | - | AES-EBU | - | - | -
- | SPDIF coaxial (MPEG input) | Line Ext ADC | Line Ext ADC | - | - | -
Audio Format Select encoding (data) format and sampling frequency. The formats are: MPEG, PCM (uncompressed digital audio), uLaw (G.711), A-Law (G.711) . In case of S/PDIF audio input, MPEG1 is used and the sampling frequency is auto detected. Default setting is "MPEG2 / 22.5 kHz". MPEG Bitrate Mode In MPEG formats select between VBR (variable bitrate) and CBR (constant bitrate). In VBR the compression level can be controlled either by quality (0..7) or bitrate in kbps. In CBR mode it is recommended to set the MP3 Bit Reservoir to "use". Default: "VBR - quality" MPEG Bitrate If MPEG CBR or VBR-bitrate encoding is selected the audio compression level (and consequently the audio quality) is selected by the "bitrate" field. Select the audio bit rate in kilobits per second. Please note that depending on the sampling rate not all bitrates are available. Default: "128kbps" MPEG Encoding Quality If MPEG VBR encoding is selected the audio compression level (and consequently the audio quality) is selected by the "quality" field. Choose between "0 lowest" and "7 highest" in steps of 1. The Encoder Quality table below shows the average bit rate in kbit/s for the quality settings and sampling frequencies in kHz. Default setting is "0 lowest".
Qual. | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7
44.1 | 65 | 68 | 73 | 80 | 90 | 105 | 125 | 140
22.05 | 35 | 38 | 40 | 45 | 50 | 60 | 75 | 90
Microphone gain Choose the desired gain ("21" - "43.5" dB) for the microphone. Default setting is "21" dB. A/D amplifier gain Choose the desired gain ("-3" - "19.5" dB) for the A/D amplifier (only for the line input). Default setting is "-3" dB. MP3 Frame CRC If set to "enable", the encoder will add the CRC-16 to each MP3 frame. Default setting is "enable". MP3 Bit Reservoir The Bitreservoir is used to compensate the differences between the predefined frame sizes. If set to "use", the encoder will use the bitreservoir. Note: To avoid audio artefacts due to lost packets in RTP set Bit Reservoir to "keep empty". However in CBR mode, "use" may give better audio quality. Default setting is "keep empty". MP3 Channel Mode Extension "Enable" or "disable" the MS-Stereo encoding (for stereo only). Default setting is "enable". MP3 Copyright Protection "Enable" or "disable" the copyright protection bit in the MP3 bitstream. Default setting is "disable". MP3 Stream Type Select between a "copy" or an "original" bitstream in order to set the appropriate bit in the MP3 bitstream. Default setting is "copy". MP3 Emphasis Select emphasis "none", "50/15 us" or "CCITT J.17". Default setting is "none".
Help STREAMING SETTINGS These settings adjust the streaming mode, streaming parameters and destinations. Streaming mode "send always" will stream always "send on CTS" will stream depending on the state of the CTS input "send on I/O" (only available on devices with GPI) the device will stream audio depending upon the state of the nominated GPI "send on Level" will stream if the incoming audio signal is above the Trigger level For send on CTS, send on I/O or send on Level, streaming can also be controlled via the SEND and STOP buttons on the HOME page. Default setting is "send on CTS". Trigger level Is only used when Streaming mode is "on Level". Set to a value between -63 and 0 dB. Open the Device home page and look for the Input peak value to get a hint for the trigger value. This page refreshes itself every second. Default setting is "-24dB". Pre Trigger Start Pre Trigger Start can be adjusted to prevent cut offs when audio should be sent earlier than detected. It defines the amount of time that will be streamed before the actual trigger occurred. This feature is most useful when used in combination with the send on level feature. It is not supported with the Streaming mode "send always" Default setting is "0" milliseconds. Post Trigger Play Post Trigger Play can be adjusted to prevent cut offs when audio should be sent longer than detected. It defines the amount of time that the device will continue streaming after the actual trigger has been cleared. This feature is normally used together with the send on level feature. Default setting is "1024" milliseconds. Contact Closure Defines the contact closure input (GPI) that controls the device streaming in "send on I/O". Select the polarity in "Input Polarity". Input Polarity Selects the contact closure event that triggers the streaming in "send on I/O" mode. "active closed" causes the device to stream when the selected contact is closed. "active open" causes the device to stream when the selected contact is open. Used to select whether the device streams when the selected control GPI is in the open or closed state. Send Contact Closure information the current state of the device's GPI is inserted into RTP, BRTP and Shoutcast streams. Compatible with Streaming Client vb2.10 and later. Buffer Underrun Mode (TCP) The Buffer Underrun Mode (TCP) defines the action if a TCP stream is slower than the real stream from the encoder. In this case the output streaming buffer underruns and cannot hold older data anymore. The device can then "disconnect" the TCP connection or it can "skip" the stream directly to the encoder stream without disconnecting TCP. Default setting is "disconnect". Streaming Strategy The Streaming Strategy defines how a packet is build and sent. On "lowest latency" the encoded data will be sent directly after the encoding. On "optimal package" the packet will be filled up before sending. Default setting is "lowest latency". UDP Tx Source Port This setting is only used with a custom software application. Enter the used source port number for a UDP stream (between 0 and 65535). When set to 0 the source port is set to the same port as selected in the destination port (in section Stream to). Default setting is "0". SHOUTCAST/ICECAST SETTINGS Own Name You can enter the name of the Barix Instreamer here. This is returned by the DISCOVER command (see technical documentation). Default setting is "Instreamer". Used also as Shoutcast station name (icy-name). Radio Path Enter a radio path to listen to the transmitted stream of this Barix Instreamer using a device that is able to play MP3 radio stations (also PC software like WinAmp). Used also as mountpoint if Icecast is selected. The URL to connect is http://x.x.x.x/p. Where x.x.x.x is the IP address of this device and /p is this Radio path. Example: http://192.168.0.24/xstream The device can serve up to 6 clients. Default setting is "/xstream". Icecast 2 User Name Configure the user name for Icecast source mode. This setting is useful for Icecast version 2 servers, which allow to maintain multiple users. If empty the default user name "source" is used. Default setting is empty, i.e. the user name "source". icy-url / SIP user Used only for Shoutcast or SIP. Enter the URL of your radio station. Example: "http://www.exampleradio.com" Max. 60 characters. For SIP it's the user in sip:user@1.2.3.4:5060 Default setting is "url". icy-genre Genre of streamed music (icy-genre header). Taken into account only for connection with Shoutcast stream type selected that doesn't have IP address set to 0.0.0.0 (i. e. acts as a Shoutcast source) Default setting is "genre". Shoutcast stream Whether it's private or public (icy-public header). Taken into account only for connection with Shoutcast stream type selected that doesn't have IP address 0.0.0.0 (i. e. acts as a Shoutcast source). Default setting is public. STREAMING DESTINATIONS There are up to 8 destinations to stream to. Each one can be directed to a device, or a multi- or broadcast address. Conn. type Choose the type of connection: The default settings are "RTP" on the first entry, "not used " on entries 2-4 and "Internet Radio" on entries 5-8. "not used" for unused destinations "Internet Radio" for an internet radio station. The device acts like a server and any 6 entries can be defined to support up to 6 HTTP sessions. Users must provide the Radio Path string (see above) or as an alternative one of the following play list formats: instreamer.m3u, instreamer.asx, instreamer.pls, instreamer.ram. The m3u and asx files have an alternative radio path defined which can be modified by providing an IP address and optional port number in entry #8 of the Stream to table. If the port entry is left as 0 then the normal HTTP port 80 is used. Other configurations are also possible since in general entry #7 of the Stream to table modifies the first entry in the m3u and asx files and entry #8 modifies the second file entry. "RTP" for Realtime Protocol. Use an IP address 0.0.0.0 to send to the network broadcast address. "BRTP" (only the first entry) for the Barix extended RTP protocol. The IP address is ignored. An external device contacts this Instreamer on the given port and statelessly registers to receive the RTP stream. Up to 32 external devices may register and up to 32 RTP streams at 128kbit/s are supported. This maximum rate is approximately provided by the MP3 setting: Encoding+Frequency MPEG1/48kHz and Encoding quality 5. "SIP" (only the first entry) for SIP protocol. Works only in peer-to-peer mode with u-Law 8kHz and A-Law 8kHz. The default port, if left 0, is 5060. "Raw UDP" for an outgoing UDP packet stream "Raw TCP" for a listening or outgoing TCP connection "Icecast source" for the device to act as an Icecast source. Enter IP and port of Icecast server. "Shoutcast" for the device to act as a Shoutcast source or Shoutcast server. Enter IP and base port of Shoutcast server (i. e. the lower port of the two, or the port that clients put into their radio players) for Instreamer to act as a Shoutcast source. If you set this to 0.0.0.0, then Instreamer acts as a shoutcast server supporting metadata, running on given port number. The following table summarises which connection types can act as passive listeners and which as active senders.
Pasive (listener) | Internet Radio | - | BRTP | - | - | Raw TCP | - | Shoutcast
Active (Sender) | - | RTP | - | SIP | Raw UDP | Raw TCP | Icecast source | Shoutcast
Domain Name If an active connection is required within the first 4 entries, a Domain Name or an IP address can be provided. An example of a Domain Name is www.myserver.com. If an IP address is provided, e.g. 192.168.0.34, then this is used, otherwise the device attempts to obtain the IP address from a Domain Name Server. IP Address Enter 4 values of the destination IP address e.g.: "0.0.0.0" for unused destinations (except when the connection type is set to UDP it will be broadcast e.g. "192.168.0.255") "0.0.0.0" for connection TCP + Port if this device is used as a TCP listener waiting for a connection from a streaming device. (default) "192.168.0.34" for a directed connection "192.168.0.255" for a broadcast Default settings are "Internet Radio 0.0.0.0:0". Port # Enter the port number for each destination (between "0" and "65535"). "0" defines the following default ports: Internet Radio "80", TCP "2020", UDP "3030". For Shoutcast, enter the base port (the lower one, the same as clients put into their radio players). Default settings are "4444" for entry #1 "0" for the rest.
Help I/O SETTINGS This configures the command issued when the CTS signal on the serial connector is activated. CTS close command Configures which command is issued when the CTS signal on the serial connector is activated (see further information below in the command description). Default: "c=91" (activate the sending mode) CTS open command Configures which command is issued when the CTS signal on the serial connector is deactivated (see further information below in the command description). Default: "c=84" (deactivate the sending mode) Commands Multiple commands can added using the & character. They will be executed sequentially in the order as they apear in the configuration field. SENDING MODE c=84 : Deactivates the sending mode. Sets a simulated CTS signal which is ored with the real CTS. This affects streaming only in the send on I/O mode. c=91 : Activates the sending mode. Sets a simulated CTS signal which is ored with the real CTS. This affects streaming only in the send on I/O mode. SERIAL c=89 : Simulates the CTS Signal being activated c=90 : Simulates the CTS Signal being deactivated c=60 : Activates the RTS Signal c=61 : Deactivates the RTS Signal For further commands refer to the technical documentation available on www.barix.com. SERIAL SETTINGS These settings adjust the serial interface and serial gateway properties. Baud rate Select the serial transmission speed ("300" to "115200" Baud). Default: "9600" Data bits Select "7" or "8" data bits. Default: "8" Parity Select "no", "even" or "odd" parity. Default: "no" Stop bits Select "1" or "2" stop bits. Default: "1" Flow control Select the type of flow control: "none", "Software (XON/XOFF)" or "Hardware (RTS/CTS)". Default: "none" SERIAL GATEWAY Local port Defines the port on which the serial interface can be accessed for serial gateway applications. Only when "Local port" is set to "0" can the serial interface be used as a command interface. If Destination IP is nonzero and the "Local port" is set to a value then this will be the source port of the TCP connection. If the Destination IP is nonzero and "Local port" is "0" a random source port is used. Default: "12303" Destination IP To have this Barix Instreamer actively establish a serial gateway select the destination IP address of the device with which serial data will be exchanged. Select "0.0.0.0" to disable the gateway and use the serial interface locally only. Default: "0.0.0.0" (disabled) Destination port Defines the port for the active serial gateway function (see destination IP). Default: "0" (disabled) Notes Both the "Destination IP" and "Destination port" have to be set to enable the gateway function.
Help CONTROL SETTINGS Instreamer offers two remote command interfaces: UDP and TCP. See the Technical Documentation for more details about the protocol. UDP Command Port Configure a port number between 1 and 65535 to enable the UDP command interface. Enter 0 to disable the UDP command interface. Default: "12301" TCP Command Port Configure a port number between 1 and 65535 to enable the TCP command interface. Enter 0 to disable the TCP command interface. Default: "12302" TCP Connection Address If 0.0.0.0 is set a listening command port is opened. Otherwise the Instreamer attempts to initiate an active TCP connection to the given address and port. If the connection breaks the Instreamer attempts to automatically re-connect every minute. Default:0.0.0.0 SNMP SETTINGS Trap Target IP Address Enter the IP address of the SNMP trap destination. Default setting is "0.0.0.0". Low Audio Level Define the low audio level for the trap generation. A trap will be generated as soon as the audio level goes below this value (and the silence timeout has run out). Default setting is "-64dB". High Audio Level Define the high audio level for the trap generation. A trap will be generated as soon as the audio level goes above this value. Default setting is "0dB". Trap Repeat Define the SNMP trap repeat interval. The trap will be repeated if the audio level values are still out of range. Default setting is "0". Silence Timeout Define the time interval for sending a trap after the low audio level is detected. Default setting is "0".
Help SECURITY SETTINGS These settings are used to secure access to the device on different levels. The status is shown next to each password ("set" or "not set"). Access is open for levels without a password (default setting). Save Configuration Enter up to 24 characters to secure the saving of the device configuration (Clicking the "Apply" button). Without a valid password the device configuration can not be saved! Enter 25 characters to erase the current password. Default: "not set" Save configuration password usage When the password is set the user has to type in the password in the "Save Config Password field" before hitting the "Apply" button. Without a valid password a warning will be displayed and the changes don't save. View Configuration Enter up to 24 characters to secure the viewing of the device configuration (Clicking the "Config" button). Without a valid password the device configuration can not be viewed! Enter 25 characters to erase the current password. Default: "not set" View configuration password usage When the password is set the user clicking on the "Config" link has to type in the password into the password field of the pop up window (the user name does not matter). Only one user can log in at a time. Further connections will be refused if another user is logged in. To log out click on the "Logout" link next to the "HOME" icon in the menu bar. Please hit your browser's Reload button if the "Logout" link is not visible while logged in. Control / Command Enter up to 24 characters to secure the access to all control and command interfaces (WEB/CGI, Serial, TCP, and UDP). Without a valid password the device can not be controlled. Enter 25 characters to erase the current password. Default: "not set" User Password Enter up to 24 characters to secure the access to customized web pages. Intended for advanced users only, for details see the Technical Documentation. Without a valid password these user web pages cannot be viewed. Enter 25 characters to erase the current password. Default: "not set" Ice/Shoutcast Enter up to 24 characters. This is the password the device uses when accessing Icecast or Shoutcast server and acting as a source. Applies only for "Icecast source" or "Shoutcast source" streaming option selected. When 25 or more characters entered, the password is erased. Factory Defaults at Reset Controls the factory defaults function of the reset button. Set it to "Disabled" to prevent the factory defaults being restored by a long press of the reset button. Note: Factory defaults can always be restored via the device webUI, if necessary. Default: "Enabled" Listening Choose which level is used for preventing unauthorized listeners from listening to Instreamer in Internet Radio mode, or "not protected" for access for all. SNMP Community RWrite Choose a password for the Read and Write Community, or "not protected" to ignore both the read and write communities or "no write access" SNMP Community Read Choose a password for the Read Community, or "not protected" to ignore the read community or "no access" Note that the Community RWrite setting takes priority.This means that if the Community RWrite is set to not protected, Community Read is ignored